empire-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From franci...@apache.org
Subject svn commit: r826510 - /incubator/empire-db/trunk/pom.xml
Date Sun, 18 Oct 2009 19:45:40 GMT
Author: francisdb
Date: Sun Oct 18 19:45:39 2009
New Revision: 826510

URL: http://svn.apache.org/viewvc?rev=826510&view=rev
Log:
EMPIREDB-55
Enforce java 1.5 for release and CI

Modified:
    incubator/empire-db/trunk/pom.xml

Modified: incubator/empire-db/trunk/pom.xml
URL: http://svn.apache.org/viewvc/incubator/empire-db/trunk/pom.xml?rev=826510&r1=826509&r2=826510&view=diff
==============================================================================
--- incubator/empire-db/trunk/pom.xml (original)
+++ incubator/empire-db/trunk/pom.xml Sun Oct 18 19:45:39 2009
@@ -105,11 +105,24 @@
 							</execution>
 						</executions>
 					</plugin>
+					<!-- enable enforcer for java 1.5 -->
+					<plugin>
+						<groupId>org.apache.maven.plugins</groupId>
+						<artifactId>maven-enforcer-plugin</artifactId>
+						<executions>
+							<execution>
+								<id>enforce-versions</id>
+								<goals>
+									<goal>enforce</goal>
+								</goals>
+							</execution>
+						</executions>
+					</plugin>
 				</plugins>
 			</build>
 		</profile>
 		<profile>
-			<!-- Part of the release profile, rest in apache parent pom -->
+			<!-- Part of the release profile, merged with release profile defined in apache parent
pom -->
 			<id>release</id>
 			<build>
 				<plugins>
@@ -126,6 +139,19 @@
 							</execution>
 						</executions>
 					</plugin>
+					<!-- enable enforcer for java 1.5 -->
+					<plugin>
+						<groupId>org.apache.maven.plugins</groupId>
+						<artifactId>maven-enforcer-plugin</artifactId>
+						<executions>
+							<execution>
+								<id>enforce-versions</id>
+								<goals>
+									<goal>enforce</goal>
+								</goals>
+							</execution>
+						</executions>
+					</plugin>
 				</plugins>
 			</build>
 		</profile>
@@ -377,6 +403,19 @@
 		                </execution>
 		            </executions>
 		        </plugin>
+		        <!-- When enforcer enabled this will make sure we compile using java 1.5 -->
+				<plugin>
+					<groupId>org.apache.maven.plugins</groupId>
+					<artifactId>maven-enforcer-plugin</artifactId>
+					<version>1.0-beta-1</version>
+					<configuration>
+						<rules>
+							<requireJavaVersion>
+								<version>[1.5]</version>
+							</requireJavaVersion>
+						</rules>
+					</configuration>
+				</plugin>
 			</plugins>
 		</pluginManagement>
 	</build>



Mime
View raw message